sudo: false
language: emacs-lisp
cache:
  directories:
    - $HOME/local
env:
  global:
    - PATH=$HOME/local/bin:$HOME/local/evm/bin:$HOME/local/cask/bin:$PATH
  matrix:
    - EVM_EMACS=emacs-24.4-travis
    - EVM_EMACS=emacs-24.5-travis
    - EVM_EMACS=emacs-25.1-travis
    - EVM_EMACS=emacs-25.2-travis
    - EVM_EMACS=emacs-25.3-travis
    - EVM_EMACS=emacs-26.1-travis-linux-xenial
    - EVM_EMACS=emacs-26.2-travis-linux-xenial
    - EVM_EMACS=emacs-26.3-travis-linux-xenial
    - EVM_EMACS=emacs-27.1-travis-linux-xenial
    - EVM_EMACS=emacs-git-snapshot-travis-linux-xenial
before_script:
  - sh .travis-ci/install-evm.sh $EVM_EMACS
  - sh .travis-ci/install-cask.sh
script:
  - cask exec emacs --version
  - cask install
  - make test
